# Poco::Data

# class Date

Library: Data
Package: DataCore
Header: Poco/Data/Date.h

## Description

Date class wraps a DateTime and exposes date related interface. The purpose of this class is binding/extraction support for date fields.

## Member Summary

Member Functions: assign, day, month, operator !=, operator <, operator =, operator ==, operator >, year

## Constructors

### Date

Date();

Creates the Date

### Date

Date(
const DateTime & dt
);

Creates the Date from DateTime

### Date

Date(
int year,
int month,
int day
);

Creates the Date

## Destructor

### ~Date

~Date();

Destroys the Date.

## Member Functions

### assign

void assign(
int year,
int month,
int day
);

Assigns date.

### day

int day() const;

Returns the day.

### month

int month() const;

Returns the month.

### operator !=

bool operator != (
const Date & date
) const;

Inequality operator.

### operator <

bool operator < (
const Date & date
) const;

Less then operator.

### operator =

Date & operator = (
const Date & d
);

Assignment operator for Date.

### operator =

Date & operator = (
const DateTime & dt
);

Assignment operator for DateTime.

### operator =

Date & operator = (
const Poco::Dynamic::Var & var
);

Assignment operator for Var.

### operator ==

bool operator == (
const Date & date
) const;

Equality operator.

### operator >

bool operator > (
const Date & date
) const;

Greater then operator.

### year

int year() const;

Returns the year.